\documentclass[border=5pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}
\usetikzlibrary{calc}

\newcommand{\squaresize}{0.5cm}

\tikzset{%
	>={Latex[width=2mm,length=2mm]},
	% Specifications for style of nodes:
	base/.style = {rectangle, draw=black, minimum width=\squaresize, minimum height=\squaresize, text centered},
	%
	mcdram/.style = {base, fill=gray!30},
	other/.style = {base, fill=gray!10},
	invisible/.style = {base, fill=none, draw=none}
}

\begin{document}
	\begin{tikzpicture}[node distance=0.7cm and 0.5cm,]

	\node (core1)		[other]					{\textit{core} 1};
%	\node (reg1)		[other, below=of core1]	{registros};
%	\draw[<->] (core1) -- (reg1);

	\node (l1-1)		[other, below=of core1]	{caché L1};
	\draw[<->] (l1-1) -- (core1);


	\node (core2)		[other, right=of core1]					{\textit{core} 2};
%	\node (reg2)		[other, below=of core2]	{registros};
%	\draw[<->] (core2) -- (reg2);

	\node (l1-2)		[other, below=of core2]	{caché L1};
	\draw[<->] (l1-2) -- (core2);

	\coordinate (middle1) at ($(l1-1)!0.5!(l1-2)$);
	\node (l2-1)		[other, below=of middle1, below = 1, text width = 3cm]		{caché L2};
	\draw[<->] (l1-1) -- (l1-1 |- l2-1.north);
	\draw[<->] (l1-2) -- (l1-2 |- l2-1.north);

	\node (inv1) [invisible, right=of core2] {\dots};

	\node (coren)		[other, right=of inv1]		{\textit{core} $n$};
%	\node (regn)		[other, below=of coren]		{registros};
%	\draw[<->] (coren) -- (regn);

	\node (l1-n)		[other, below=of coren]		{caché L1};
	\draw[<->] (l1-n) -- (coren);

	\node (l2-n)		[other, below=of l1-n]		{caché L2};
	\draw[<->] (l1-n) -- (l2-n);


	\coordinate (middle2) at ($(l1-1)!0.5!(l1-n)$);

	\node (memory)		[other, below=of middle2, below=2, text width = 6cm]		{
		\begin{tikzpicture}
%			\node (invisible)[invisible]	{Espacio de Memoria};
			\node (mcdram)	[mcdram, text width = 2cm]	{MCDRAM};
			\node (ddr)		[other, text width = 3cm, right=of mcdram]	{DDR RAM};
		\end{tikzpicture}
	};
	\draw[<->] (l2-1) -- (l2-1 |- memory.north);
	\draw[<->] (l2-n) -- (l2-n |- memory.north);

	\end{tikzpicture}
\end{document}
